Loading...
Searching...
No Matches
Two-dimensional vectors.
Foundation Classes » Mathematics » Primitive datatypes

## Global binary operator functions for two dimensional vectors.

typedef TVector2< float > | BALL::Vector2
template<typename T>
BALL_INLINE TVector2< T > | BALL::operator* (const T &scalar, const TVector2< T > &vector)
template<typename T>
std::istream & | BALL::operator>> (std::istream &s, TVector2< T > &vector)
template<typename T>
std::ostream & | BALL::operator<< (std::ostream &s, const TVector2< T > &vector)

## Detailed Description

Representation of points and vectors in two-dimensional space: class TVector2 and class Vector2 .

## Typedef Documentation

## Vector2

typedef TVector2<float> BALL::Vector2

Default two-dimensional vector class. This is the class used in BALL kernel to represent points, coordinates.

Definition at line 771 of file vector2.h.

## Function Documentation

## operator*()

template<typename T>

BALL_INLINE TVector2< T > BALL::operator* | ( | const T & | scalar,
|  | const TVector2< T > & | vector )

Multiply a vector with a scalar. The symmetric case is a member of the vector class.

Definition at line 775 of file vector2.h.

## operator<<()

template<typename T>

std::ostream & BALL::operator<< | ( | std::ostream & | s,
|  | const TVector2< T > & | vector )

Definition at line 790 of file vector2.h.

## operator>>()

template<typename T>

std::istream & BALL::operator>> | ( | std::istream & | s,
|  | TVector2< T > & | vector )

Input stream.

Definition at line 781 of file vector2.h.